Qgis cannot read PRJ file of DXF and PDF

2015-05-12 01:39 AM - malcom jamal

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.8.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20835

Description

hi,

i have many little survey with local coordinate, this can correctly georeferenced with USER CRS, but when the CRS is writed to PRJ file

(with same name and same directory of DXF and PDF) Qgis cannot automatically read the correct USER CRS. When DXF is converted to

SHP (with PRJ file) Qgis open them correctly. 

Many Thanks

sample USER CRS:

+proj=omerc +lat_0=46.2 +lonc=11.2 +alpha=22 +k=0.2 +x_0=-2000 +y_0=-1000 +gamma=0 +ellps=WGS84 +towgs84=0,0,0,0,0,0,0

+units=m +no_defs

sample USER CRS writed PRJ file:

PROJCS["Hotine_Oblique_Mercator_Azimuth_Center",GEOGCS["GCS_WGS_1984",DATUM["D_unknown",SPHEROID["WGS84",63

8137,298.257223563]],PRIMEM["Greenwich",0],UNIT["Degree",0.017453292519943295]],PROJECTION["Hotine_Oblique_Mercator_Azimuth_Center"],PARAMETER["latitude_of_center",46.2],PARAMETER["longitude_of_center",11.2],PARAMETER["azimu

zimuth_Center"],PARAMETER["latitude_of_center",46.2],PARAMETER["longitude_of_center",11.2],PARAMETER["azimuth",22],PARAMETER["scale_factor",0.2],PARAMETER["false_easting",-2000],PARAMETER["false_northing",-1000],UNIT["Meter",1]]

ETER["scale_factor",0.2],PARAMETER["false_easting",-2000],PARAMETER["false_northing",-1000],UNIT["Meter",1]]

History

#1 - 2015-05-18 03:06 AM - malcom jamal

unfortunately it does not work even with files QPJ .....

is possibile to make little QGS file only for one PDF or DXF and join them into a big QGS file ?

Many Thnaks

#2 - 2015-05-21 08:43 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Open to Closed

just had a chat with others here at the developer meeting and, as I supposed, is wrong to assume that you can simply add a prj file to file formats that do

not make use of prj files, like dxf and pdf.
